<RegistryGather>
    <RegGarbageCatagory Name="UnUsed file extension" ResID="b001">
    	<RegGarbageInfo RegItem="Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts" RegExpStr="^[.][^.]+$" RegRoot="2" ProcType="1" />
    	<RegGarbageInfo RegItem="" RegExpStr="^[.][^.]+$" RegRoot="1" ProcType="1" />
    </RegGarbageCatagory>
    <RegGarbageCatagory Name="ActiveX和COM问题" ResID="b002">
    	<RegGarbageInfo RegItem="CLSID" RegExpStr="^[{].*[}]$" RegRoot="1" ProcType="2" >
    		<RegGarbageAlg ProcKey="InProcHandler32|InprocServer32|LocalServer32" ProcValue="" Result="Result1" />
    		<RegGarbageAlg ProcValue="" Result="Result2" />
    		<RegGarbageDisplayItem DisplayItem="%Result1%" />
    		<RegGarbageIdentify Param="%Result1%" />
    	</RegGarbageInfo>
    	<RegGarbageInfo RegItem="" RegExpStr="^[^.*].*$" RegRoot="1" ProcType="3" >
    		<RegGarbageAlg ProcKey="CLSID" ProcValue="" Result="Result1" IsKeyResult="1" />
    		<RegGarbageAlg ProcValue="" Result="Result2" />
    		<RegGarbageDisplayItem DisplayItem="%Result2%" />
    		<RegGarbageIdentify RootType="1" Param="CLSID\%Result1%" ResultLinkTo="%Result1%" />
    	</RegGarbageInfo>
    </RegGarbageCatagory>
    <RegGarbageCatagory Name="缺失的类型库引用" ResID="b003">
    	<RegGarbageInfo RegItem="Interface" RegExpStr="^[{].*[}]$" RegRoot="1" ProcType="3" >
    		<RegGarbageAlg ProcKey="TypeLib" ProcValue="" Result="Result1" />
    		<RegGarbageAlg ProcKey="TypeLib" ProcValue="Version" Result="Result2" />
    		<RegGarbageAlg ProcKey="ProxyStubClsid|ProxyStubClsid32" ProcValue="" Result="Result3" />
    		<RegGarbageAlg ProcValue="" Result="Result4" />
    		<RegGarbageClassAlg Class="%Result3%" Interface="%InputParam%" />
    		<RegGarbageDisplayItem DisplayItem="%Result4%" />
    		<RegGarbageIdentify Param="TypeLib\%Result1%\%Result2%" RootType="1" />
    	</RegGarbageInfo>
    </RegGarbageCatagory>
    <RegGarbageCatagory Name="Missed DLL" ResID="b004">
    	<RegGarbageInfo RegItem="SOFTWARE\Microsoft\Windows\CurrentVersion\SharedDlls" RegRoot="3" EnumValue="1" ProcType="2" >
    		<RegGarbageDisplayItem DisplayItem="%InputParam%" />
    		<RegGarbageIdentify Param="%InputParam%" />
    	</RegGarbageInfo>
    </RegGarbageCatagory>
</RegistryGather>
